
import java.util.ArrayList;
import java.util.List;

/**
 * VM Args:
 *  -XX:PermSize20m -XX:MaxPermSize10m
 *  1.8 VM Args:
 *  -XX:MetaspaceSize=200m;-XX:MaxMetaspaceSize=256m;
 * @author 献
 * @company Goochine-深圳古辰创智科技有限公司
 * @website www.goochine.com
 * @tel 18271840547
 * @date 2017/4/24
 */
public class TestPermOOM {
    public static void main(String[] args) {
        List list = new ArrayList();
        int l = 0;
        while (true) {
            list.add(Integer.toString(l).intern());

            l++;

            System.out.println(l);
        }
    }
}
